### Hierarchy

- BitmapFilter
  - ConvolutionFilter

## Index

### Constructors

- constructor

### Properties

- alpha
- bias
- clamp
- color
- divisor
- matrix
- matrixX
- matrixY
- preserveAlpha

### Methods

- clone
- get_matrix
- set_matrix

## Constructors

### constructor

- new ConvolutionFilter(matrixX?: number, matrixY?: number, matrix?: Array<Float>, divisor?: number, bias?: number, preserveAlpha?: boolean, clamp?: boolean, color?: number, alpha?: number): Void

- Overrides BitmapFilter.constructor

  - Defined in lib/openfl/filters/ConvolutionFilter.d.ts:23

  #### Parameters

  - ##### Optional matrixX: number

  - ##### Optional matrixY: number

  - ##### Optional matrix: Array<Float>

  - ##### Optional divisor: number

  - ##### Optional bias: number

  - ##### Optional preserveAlpha: boolean

  - ##### Optional clamp: boolean

  - ##### Optional color: number

  - ##### Optional alpha: number

  #### Returns Void

## Properties

### alpha

alpha: number

- Defined in lib/openfl/filters/ConvolutionFilter.d.ts:10

### bias

bias: number

- Defined in lib/openfl/filters/ConvolutionFilter.d.ts:11

### clamp

clamp: boolean

- Defined in lib/openfl/filters/ConvolutionFilter.d.ts:12

### color

color: number

- Defined in lib/openfl/filters/ConvolutionFilter.d.ts:13

### divisor

divisor: number

- Defined in lib/openfl/filters/ConvolutionFilter.d.ts:14

### matrix

matrix: Array<number>

- Defined in lib/openfl/filters/ConvolutionFilter.d.ts:16

### matrixX

matrixX: number

- Defined in lib/openfl/filters/ConvolutionFilter.d.ts:21

### matrixY

matrixY: number

- Defined in lib/openfl/filters/ConvolutionFilter.d.ts:22

### preserveAlpha

preserveAlpha: boolean

- Defined in lib/openfl/filters/ConvolutionFilter.d.ts:23

## Methods

### clone

- clone(): BitmapFilter

- Inherited from BitmapFilter.clone

  - Defined in lib/openfl/filters/BitmapFilter.d.ts:27

  Returns a BitmapFilter object that is an exact copy of the original BitmapFilter object.

  #### Returns BitmapFilter

  A BitmapFilter object.

### Protected get_matrix

- get_matrix(): Array<number>

- - Defined in lib/openfl/filters/ConvolutionFilter.d.ts:18

  #### Returns Array<number>

### Protected set_matrix

- set_matrix(value: Array<number>): Array<number>

- - Defined in lib/openfl/filters/ConvolutionFilter.d.ts:19

  #### Parameters

  - ##### value: Array<number>

  #### Returns Array<number>

Generated using TypeDoc